package RoutingMatrix;
import com.cycling74.max.*;


public class Connection {

	
	ScalingMath myScalingMath ;
	int in;
	int out;

	
	
	
	boolean on;
	
	
	public Connection (int in, int out,float inMin,float inMax,float outMin,float outMax)
	{
		myScalingMath =  new ScalingMath(inMin,inMax,outMin,outMax);
	
		this.in = in;
		this.out=out;
		this.on = true;
	}
	
	public Connection (int in, int out,float inMin,float inMax,float outMin,float outMax,boolean off)
	{
		myScalingMath =  new ScalingMath(inMin,inMax,outMin,outMax);
	
		this.in = in;
		this.out=out;
		this.on = off;
	}
	
	
	public void setMode(int mode)
	{
		myScalingMath.setMode(mode);
		
		
	}
	
	public void setAmount (float amt){
		myScalingMath.setAmount(amt);
	}
	
	
	public boolean isOn() {
		return on;
	}

	public void setOn(boolean on) {
		this.on = on;
	}

	public void post()
	{
		post("");
	}
	public void post(String s)
	{
		MaxObject.post("CONNECTION:"+s+"-----     in/out:"+in+"/"+out);
		MaxObject.post("inMin/Max: "+myScalingMath.inMin+"/"+myScalingMath.inMax +"   outMin/Max:"+myScalingMath.outMin+"/"+myScalingMath.outMax);
		MaxObject.post("mult/add: "+myScalingMath.getMult()+"/"+myScalingMath.getAdd() +"     amt/mode"+myScalingMath.amount+"/"+myScalingMath.mode);
		
	}
	
	
	public void setInMin(float i)
	{
		myScalingMath.setInMin(i);
	}
	
	
	public void setInMax(float i)
	{
		myScalingMath.setInMax(i);
	}

	public void setOutMax(float outMax) {
		myScalingMath.setOutMax(outMax);
	}

	public void setOutMin(float outMin) {
		myScalingMath.setOutMin(outMin);
	}

	public float getAdd()
	{
		return myScalingMath.getAdd();
	}
	
	public float getMult()
	{
		return myScalingMath.getMult();
	}
	
	public int getIn()
	{
		return in;
	}
	
	public int getOut()
	{
		return out;
	}
	
}
